<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_7631abf8f234103" . "19b7115e54aa60c6" . "d" => base64_decode("bWVudV9idWlsZGVyLmZvbGRlc" . "g=="), "_f88c0980467f304d271bba91bea8da3" . "f" => base64_decode("bWVudV9idWlsZGVyLnBh" . "Z2U="), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1zZw" . "=="), "_787716e85b3b1de5c15456747d65bab" . "1" => base64_decode("bWVudV9idWlsZGVyLmxp" . "bms="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f88c0980467" . "f304d271bba9" . "1bea8da3f"]), self::LINK => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_787716e85b3" . "b1de5c154567" . "47d65bab1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7631abf" . "8f234103" . "19b7115e" . "54aa60c6" . "d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}